-- MySQL dump 10.13  Distrib 5.1.41, for Win32 (ia32)
--
-- Host: localhost    Database: plaza
-- ------------------------------------------------------
-- Server version	5.1.41-community

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `caja2tmpvcr`
--

DROP TABLE IF EXISTS `caja2tmpvcr`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvcr` (
  `idtbl_venta_cabecera` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_sucursal` varchar(3) NOT NULL,
  `item` int(10) unsigned NOT NULL,
  `situacion` int(10) unsigned NOT NULL,
  `monto` decimal(30,5) NOT NULL,
  `fecha_vencimiento` date NOT NULL,
  `idtbl_tipo_moneda` varchar(3) NOT NULL,
  `fecha_creacion` date NOT NULL,
  `fecha_modificacion` date NOT NULL,
  PRIMARY KEY (`idtbl_venta_cabecera`,`idtbl_punto_venta`,`idtbl_sucursal`,`item`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvcr`
--

LOCK TABLES `caja2tmpvcr` WRITE;
/*!40000 ALTER TABLE `caja2tmpvcr` DISABLE KEYS */;
/*!40000 ALTER TABLE `caja2tmpvcr` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvd`
--

DROP TABLE IF EXISTS `caja2tmpvd`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvd` (
  `idtbl_venta_cabecera` bigint(20) NOT NULL DEFAULT '0',
  `situacion` int(11) NOT NULL DEFAULT '0',
  `item` int(11) NOT NULL DEFAULT '0',
  `idtbl_articulos` varchar(40) NOT NULL,
  `descripcion` varchar(250) NOT NULL,
  `equivalente` decimal(30,5) NOT NULL DEFAULT '0.00000',
  `cantidad` decimal(30,5) NOT NULL,
  `precio` decimal(30,5) NOT NULL DEFAULT '0.00000',
  `subtotal` decimal(30,5) NOT NULL,
  `descuento` decimal(30,5) NOT NULL,
  `total` decimal(30,5) NOT NULL,
  `monigv` decimal(30,5) NOT NULL,
  `fecha_creacion` date DEFAULT NULL,
  `fecha_modificacion` date DEFAULT NULL,
  `idtbl_sucursal` varchar(3) NOT NULL DEFAULT '',
  `costo` decimal(30,5) NOT NULL,
  `utilidad` decimal(30,5) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL,
  `idbarra` varchar(40) NOT NULL,
  `presentacion` varchar(45) NOT NULL,
  `fecha_vencimiento_producto` date DEFAULT '0000-00-00',
  `idtbl_tipo_venta_item` int(10) unsigned NOT NULL DEFAULT '0',
  `observacion` varchar(250) NOT NULL,
  `inafecto` decimal(30,5) NOT NULL,
  `afecto` decimal(30,5) NOT NULL,
  `exonerado` decimal(30,5) NOT NULL,
  `exportacion` decimal(30,5) NOT NULL,
  `gratuito` decimal(30,5) NOT NULL,
  `icbper` decimal(30,5) NOT NULL,
  `isc` decimal(30,5) NOT NULL,
  `otroscargos` decimal(30,5) NOT NULL,
  `otrostributos` decimal(30,5) NOT NULL,
  `largo` decimal(30,5) NOT NULL,
  `alto` decimal(30,5) NOT NULL,
  `pie` decimal(30,5) NOT NULL,
  `idtbl_lista_precio` varchar(3) NOT NULL,
  `tipo_cambio` decimal(30,5) NOT NULL,
  `idtbl_tipo_moneda` varchar(3) NOT NULL,
  `hora` varchar(15) NOT NULL,
  `idtbl_usuarios` varchar(20) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_vendedor` varchar(6) NOT NULL,
  `idtbl_almacen` varchar(3) NOT NULL,
  `idtbl_tipo_afectacion_igv` varchar(2) NOT NULL,
  `idtbl_tipo_tributo` varchar(4) NOT NULL,
  `afectaIgvIvap` int(10) unsigned NOT NULL,
  `detraccion` int(10) unsigned NOT NULL,
  `idtbl_codigo_bienes_servicios_sujeto_detraccion` varchar(3) NOT NULL,
  `tasa` decimal(30,5) NOT NULL,
  `idtbl_codigo_leyendas` varchar(4) NOT NULL,
  `descuenta_stock` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idtbl_venta_cabecera`,`idtbl_sucursal`,`item`,`situacion`,`idtbl_punto_venta`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvd`
--

LOCK TABLES `caja2tmpvd` WRITE;
/*!40000 ALTER TABLE `caja2tmpvd` DISABLE KEYS */;
/*!40000 ALTER TABLE `caja2tmpvd` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvdtemp`
--

DROP TABLE IF EXISTS `caja2tmpvdtemp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvdtemp` (
  `idtbl_venta_cabecera` bigint(20) NOT NULL DEFAULT '0',
  `situacion` int(11) NOT NULL DEFAULT '0',
  `item` int(11) NOT NULL DEFAULT '0',
  `idtbl_articulos` varchar(40) NOT NULL,
  `descripcion` varchar(250) NOT NULL,
  `equivalente` decimal(30,5) NOT NULL DEFAULT '0.00000',
  `cantidad` decimal(30,5) NOT NULL,
  `precio` decimal(30,5) NOT NULL DEFAULT '0.00000',
  `subtotal` decimal(30,5) NOT NULL,
  `descuento` decimal(30,5) NOT NULL,
  `total` decimal(30,5) NOT NULL,
  `monigv` decimal(30,5) NOT NULL,
  `fecha_creacion` date DEFAULT NULL,
  `fecha_modificacion` date DEFAULT NULL,
  `idtbl_sucursal` varchar(3) NOT NULL DEFAULT '',
  `costo` decimal(30,5) NOT NULL,
  `utilidad` decimal(30,5) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL,
  `idbarra` varchar(40) NOT NULL,
  `presentacion` varchar(45) NOT NULL,
  `fecha_vencimiento_producto` date DEFAULT '0000-00-00',
  `idtbl_tipo_venta_item` int(10) unsigned NOT NULL DEFAULT '0',
  `observacion` varchar(250) NOT NULL,
  `inafecto` decimal(30,5) NOT NULL,
  `afecto` decimal(30,5) NOT NULL,
  `exonerado` decimal(30,5) NOT NULL,
  `exportacion` decimal(30,5) NOT NULL,
  `gratuito` decimal(30,5) NOT NULL,
  `icbper` decimal(30,5) NOT NULL,
  `isc` decimal(30,5) NOT NULL,
  `otroscargos` decimal(30,5) NOT NULL,
  `otrostributos` decimal(30,5) NOT NULL,
  `largo` decimal(30,5) NOT NULL,
  `alto` decimal(30,5) NOT NULL,
  `pie` decimal(30,5) NOT NULL,
  `idtbl_lista_precio` varchar(3) NOT NULL,
  `tipo_cambio` decimal(30,5) NOT NULL,
  `idtbl_tipo_moneda` varchar(3) NOT NULL,
  `hora` varchar(15) NOT NULL,
  `idtbl_usuarios` varchar(20) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_vendedor` varchar(6) NOT NULL,
  `idtbl_almacen` varchar(3) NOT NULL,
  `idtbl_tipo_afectacion_igv` varchar(2) NOT NULL,
  `idtbl_tipo_tributo` varchar(4) NOT NULL,
  `afectaIgvIvap` int(10) unsigned NOT NULL,
  `detraccion` int(10) unsigned NOT NULL,
  `idtbl_codigo_bienes_servicios_sujeto_detraccion` varchar(3) NOT NULL,
  `tasa` decimal(30,5) NOT NULL,
  `idtbl_codigo_leyendas` varchar(4) NOT NULL,
  `descuenta_stock` int(10) unsigned NOT NULL,
  PRIMARY KEY (`idtbl_venta_cabecera`,`idtbl_sucursal`,`item`,`situacion`,`idtbl_punto_venta`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvdtemp`
--

LOCK TABLES `caja2tmpvdtemp` WRITE;
/*!40000 ALTER TABLE `caja2tmpvdtemp` DISABLE KEYS */;
INSERT INTO `caja2tmpvdtemp` VALUES (1,0,1,'1274','KYNESIS 40MG (COLAGENO) CAP F.V.31-08-2025','1.00000','10.00000','4.50000','38.13559','0.00000','45.00000','6.86441','2024-09-26','2024-09-26','003','4.50000','0.00000','001','003','1274','UND','2025-08-31',0,'','0.00000','38.13559','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','19:49:55.955','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,2,'581','AMIGDAZOL PLUS PASTILLA MASTICABLE F.V.30-04-2026','1.00000','6.00000','0.60000','3.05085','0.00000','3.60000','0.54915','2024-10-03','2024-10-03','003','0.36250','1.42500','001','003','581','UND','2026-04-30',0,'','0.00000','3.05085','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','15:23:42.454','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,3,'412','DIGERMIN 200MG X 10 AMP BEBIBLES F.V.31-12-2025','1.00000','6.00000','2.50000','12.71186','0.00000','15.00000','2.28814','2024-10-03','2024-10-03','003','1.20000','7.80000','001','003','412','UND','2025-12-31',0,'','0.00000','12.71186','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','15:23:50.812','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,4,'1471','NAPROXENO 500MG TAB (PHARMA GEN) F.V.31-05-2026','1.00000','10.00000','0.40000','3.38983','0.00000','4.00000','0.61017','2024-10-03','2024-10-03','003','0.24900','1.51000','001','003','1471','UND','2026-05-31',0,'','0.00000','3.38983','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','15:24:00.545','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,5,'1094','AMOXICILINA + AC CLAVULANICO 500MG+125MG (PHARMA) F.V.30-08-2026','1.00000','10.00000','1.20000','10.16949','0.00000','12.00000','1.83051','2024-10-03','2024-10-03','003','0.75000','4.50000','001','003','1094','UND','2026-08-30',0,'','0.00000','10.16949','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','15:24:18.057','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,9,6,'388','CLORURO DE SODIO 0.9% X 250 ML (BRAUN) F.V.20-07-2027','1.00000','2.00000','8.00000','13.55932','0.00000','16.00000','2.44068','2024-10-26','2024-10-26','003','3.80000','8.40000','001','003','388','UND','2027-07-20',0,'','0.00000','13.55932','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','15:38:48.339','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,9,7,'1073','CATETER EV N 22 NIPRO F.V.30-04-2028','1.00000','2.00000','2.50000','4.23729','0.00000','5.00000','0.76271','2024-10-26','2024-10-26','003','1.40000','2.20000','001','003','1073','UND','2028-04-30',0,'','0.00000','4.23729','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','15:39:21.958','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,9,8,'1074','CATETER INTRAVENOSO N24 (NIPRO) F.V.30-04-2029','1.00000','2.00000','2.50000','4.23729','0.00000','5.00000','0.76271','2024-10-26','2024-10-26','003','1.40000','2.20000','001','003','1074','UND','2029-04-30',0,'','0.00000','4.23729','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','15:39:45.281','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,9,'1034','DOLALIVIO FAST 2% GEL X 50GR (DICLOFENACO) F.V.31-10-2025','1.00000','1.00000','14.00000','11.86441','0.00000','14.00000','2.13559','2024-10-31','2024-10-31','003','10.00000','4.00000','001','003','1034','UND','2025-10-31',0,'','0.00000','11.86441','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','16:38:55.360','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,10,'1472','OMEPRAZOL 20MG TAB (GENFAR) F.V.28-02-2026','1.00000','10.00000','0.30000','2.54237','0.00000','3.00000','0.45763','2024-10-31','2024-10-31','003','0.15890','1.41100','001','003','1472','UND','2026-02-28',0,'','0.00000','2.54237','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','16:39:08.575','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,11,'1250','BISMUTOL  MAST X 2 TAB (SUBSALICILATO DE BISMUTO) F.V.20-07-2027','1.00000','4.00000','1.20000','4.06780','0.00000','4.80000','0.73220','2024-10-31','2024-10-31','003','0.87380','1.30480','001','003','1250','UND','2027-07-20',0,'','0.00000','4.06780','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','16:39:23.525','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,12,'1088','JERINGAS  10ML X 100 (ALKHOFAR) F.V.19-12-2028','1.00000','1.00000','0.80000','0.67797','0.00000','0.80000','0.12203','2024-10-31','2024-10-31','003','0.17000','0.63000','001','003','1088','UND','2028-12-19',0,'','0.00000','0.67797','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','16:39:32.570','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,13,'184','AGUJAS HIPO DESCAR DE 21X1/2 F.V.24-04-2028','1.00000','10.00000','0.10000','0.84746','0.00000','1.00000','0.15254','2024-10-31','2024-10-31','003','0.07080','0.29200','001','003','184','UND','2028-04-24',0,'','0.00000','0.84746','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','16:39:43.864','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,14,'1142','KETOPAN 100MG/5ML INY ENDOVENOSO (KETOPROFENO) F.V.31-10-2026','1.00000','1.00000','10.00000','8.47458','0.00000','10.00000','1.52542','2024-11-16','2024-11-16','003','2.90000','7.10000','001','003','1142','UND','2026-10-31',0,'','0.00000','8.47458','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','14:23:52.692','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,15,'882','RANITIDINA 50MG/2ML X 10 AMP (PHARMAGEN) F.V.31-08-2026','1.00000','1.00000','3.00000','2.54237','0.00000','3.00000','0.45763','2024-11-16','2024-11-16','003','0.55000','2.45000','001','003','882','UND','2026-08-31',0,'','0.00000','2.54237','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','14:24:06.017','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,16,'1520','FENAZOPIRIDINA 100MG TAB (PORTUGAL) F.V.31-07-2027','1.00000','10.00000','0.30000','2.54237','0.00000','3.00000','0.45763','2024-12-20','2024-12-20','003','0.13000','1.70000','001','003','1520','UND','2027-07-31',0,'','0.00000','2.54237','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','18:37:16.636','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1),(1,0,17,'1260','DOLO NEUROPRESS FORTE X 60TAB F.V.30-05-2027','1.00000','10.00000','1.20000','10.16949','0.00000','12.00000','1.83051','2024-12-20','2024-12-20','003','0.67500','5.25000','001','003','1260','UND','2027-05-30',0,'','0.00000','10.16949','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','0.00000','001','4.10000','PEN','18:37:28.352','YESENIA','CAJA2','999999','001','10','1000',18,0,'','0.00000','1000',1);
/*!40000 ALTER TABLE `caja2tmpvdtemp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvf`
--

DROP TABLE IF EXISTS `caja2tmpvf`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvf` (
  `idtbl_venta_cabecera` bigint(20) unsigned NOT NULL,
  `situacion` int(10) unsigned NOT NULL,
  `item` int(10) unsigned NOT NULL,
  `idtbl_articulos` varchar(40) NOT NULL,
  `fecha_vencimiento` date NOT NULL,
  `presentacion` varchar(45) NOT NULL,
  `equivalente` decimal(30,5) NOT NULL,
  `cantidad` decimal(30,5) NOT NULL,
  `item_idtbl_venta_cabecera` int(10) unsigned NOT NULL,
  `item_interno` int(10) unsigned NOT NULL,
  `idbarra` varchar(40) NOT NULL,
  `idtbl_usuarios` varchar(20) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_sucursal` varchar(20) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL,
  `fecha_creacion` date NOT NULL,
  `fecha_modificacion` date NOT NULL,
  `idtbl_vendedor` varchar(6) NOT NULL,
  `idtbl_almacen` varchar(3) NOT NULL,
  PRIMARY KEY (`idtbl_venta_cabecera`,`item`,`idtbl_sucursal`,`idtbl_punto_venta`,`idtbl_modulo`,`idtbl_tipo_modulo`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvf`
--

LOCK TABLES `caja2tmpvf` WRITE;
/*!40000 ALTER TABLE `caja2tmpvf` DISABLE KEYS */;
/*!40000 ALTER TABLE `caja2tmpvf` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvfor`
--

DROP TABLE IF EXISTS `caja2tmpvfor`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvfor` (
  `idtbl_venta_cabecera` bigint(20) unsigned NOT NULL,
  `situacion` int(10) unsigned NOT NULL,
  `item` int(10) unsigned NOT NULL,
  `idtbl_articulos` varchar(40) NOT NULL,
  `fecha_vencimiento` date NOT NULL,
  `presentacion` varchar(45) NOT NULL,
  `equivalente` decimal(30,5) NOT NULL,
  `cantidad` decimal(30,5) NOT NULL,
  `item_idtbl_venta_cabecera` int(10) unsigned NOT NULL,
  `item_interno` int(10) unsigned NOT NULL,
  `idbarra` varchar(40) NOT NULL,
  `idtbl_usuarios` varchar(20) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_sucursal` varchar(20) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL,
  `fecha_creacion` date NOT NULL,
  `fecha_modificacion` date NOT NULL,
  `idtbl_vendedor` varchar(6) NOT NULL,
  `idtbl_almacen` varchar(3) NOT NULL,
  PRIMARY KEY (`idtbl_venta_cabecera`,`item`,`idtbl_sucursal`,`idtbl_punto_venta`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvfor`
--

LOCK TABLES `caja2tmpvfor` WRITE;
/*!40000 ALTER TABLE `caja2tmpvfor` DISABLE KEYS */;
/*!40000 ALTER TABLE `caja2tmpvfor` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvfortemp`
--

DROP TABLE IF EXISTS `caja2tmpvfortemp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvfortemp` (
  `idtbl_venta_cabecera` bigint(20) unsigned NOT NULL,
  `situacion` int(10) unsigned NOT NULL,
  `item` int(10) unsigned NOT NULL,
  `idtbl_articulos` varchar(40) NOT NULL,
  `fecha_vencimiento` date NOT NULL,
  `presentacion` varchar(45) NOT NULL,
  `equivalente` decimal(30,5) NOT NULL,
  `cantidad` decimal(30,5) NOT NULL,
  `item_idtbl_venta_cabecera` int(10) unsigned NOT NULL,
  `item_interno` int(10) unsigned NOT NULL,
  `idbarra` varchar(40) NOT NULL,
  `idtbl_usuarios` varchar(20) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_sucursal` varchar(20) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL,
  `fecha_creacion` date NOT NULL,
  `fecha_modificacion` date NOT NULL,
  `idtbl_vendedor` varchar(6) NOT NULL,
  `idtbl_almacen` varchar(3) NOT NULL,
  PRIMARY KEY (`idtbl_venta_cabecera`,`item`,`idtbl_sucursal`,`idtbl_punto_venta`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvfortemp`
--

LOCK TABLES `caja2tmpvfortemp` WRITE;
/*!40000 ALTER TABLE `caja2tmpvfortemp` DISABLE KEYS */;
/*!40000 ALTER TABLE `caja2tmpvfortemp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvftemp`
--

DROP TABLE IF EXISTS `caja2tmpvftemp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvftemp` (
  `idtbl_venta_cabecera` bigint(20) unsigned NOT NULL,
  `situacion` int(10) unsigned NOT NULL,
  `item` int(10) unsigned NOT NULL,
  `idtbl_articulos` varchar(40) NOT NULL,
  `fecha_vencimiento` date NOT NULL,
  `presentacion` varchar(45) NOT NULL,
  `equivalente` decimal(30,5) NOT NULL,
  `cantidad` decimal(30,5) NOT NULL,
  `item_idtbl_venta_cabecera` int(10) unsigned NOT NULL,
  `item_interno` int(10) unsigned NOT NULL,
  `idbarra` varchar(40) NOT NULL,
  `idtbl_usuarios` varchar(20) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_sucursal` varchar(20) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL,
  `fecha_creacion` date NOT NULL,
  `fecha_modificacion` date NOT NULL,
  `idtbl_vendedor` varchar(6) NOT NULL,
  `idtbl_almacen` varchar(3) NOT NULL,
  PRIMARY KEY (`idtbl_venta_cabecera`,`item`,`idtbl_sucursal`,`idtbl_punto_venta`,`idtbl_modulo`,`idtbl_tipo_modulo`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvftemp`
--

LOCK TABLES `caja2tmpvftemp` WRITE;
/*!40000 ALTER TABLE `caja2tmpvftemp` DISABLE KEYS */;
INSERT INTO `caja2tmpvftemp` VALUES (1,0,1,'1274','2025-08-31','UND','1.00000','10.00000',1,1,'1274','YESENIA','CAJA2','003','001','003','2024-09-26','2024-09-26','999999','001'),(1,0,2,'581','2026-04-30','UND','1.00000','6.00000',2,2,'581','YESENIA','CAJA2','003','001','003','2024-10-03','2024-10-03','999999','001'),(1,0,3,'412','2025-12-31','UND','1.00000','6.00000',3,3,'412','YESENIA','CAJA2','003','001','003','2024-10-03','2024-10-03','999999','001'),(1,0,4,'1471','2026-05-31','UND','1.00000','10.00000',4,4,'1471','YESENIA','CAJA2','003','001','003','2024-10-03','2024-10-03','999999','001'),(1,0,5,'1094','2026-08-30','UND','1.00000','10.00000',5,5,'1094','YESENIA','CAJA2','003','001','003','2024-10-03','2024-10-03','999999','001'),(1,0,6,'388','2027-07-20','UND','1.00000','2.00000',6,6,'388','YESENIA','CAJA2','003','001','003','2024-10-26','2024-10-26','999999','001'),(1,0,7,'1073','2028-04-30','UND','1.00000','2.00000',7,7,'1073','YESENIA','CAJA2','003','001','003','2024-10-26','2024-10-26','999999','001'),(1,0,8,'1074','2029-04-30','UND','1.00000','2.00000',8,8,'1074','YESENIA','CAJA2','003','001','003','2024-10-26','2024-10-26','999999','001'),(1,0,9,'1034','2025-10-31','UND','1.00000','1.00000',9,9,'1034','YESENIA','CAJA2','003','001','003','2024-10-31','2024-10-31','999999','001'),(1,0,10,'1472','2026-02-28','UND','1.00000','10.00000',10,10,'1472','YESENIA','CAJA2','003','001','003','2024-10-31','2024-10-31','999999','001'),(1,0,11,'1250','2027-07-20','UND','1.00000','4.00000',11,11,'1250','YESENIA','CAJA2','003','001','003','2024-10-31','2024-10-31','999999','001'),(1,0,12,'1088','2028-12-19','UND','1.00000','1.00000',12,12,'1088','YESENIA','CAJA2','003','001','003','2024-10-31','2024-10-31','999999','001'),(1,0,13,'184','2028-04-24','UND','1.00000','10.00000',13,13,'184','YESENIA','CAJA2','003','001','003','2024-10-31','2024-10-31','999999','001'),(1,0,14,'1142','2026-10-31','UND','1.00000','1.00000',14,14,'1142','YESENIA','CAJA2','003','001','003','2024-11-16','2024-11-16','999999','001'),(1,0,15,'882','2026-08-31','UND','1.00000','1.00000',15,15,'882','YESENIA','CAJA2','003','001','003','2024-11-16','2024-11-16','999999','001'),(1,0,16,'1520','2027-07-31','UND','1.00000','10.00000',16,16,'1520','YESENIA','CAJA2','003','001','003','2024-12-20','2024-12-20','999999','001'),(1,0,17,'1260','2027-05-30','UND','1.00000','10.00000',17,17,'1260','YESENIA','CAJA2','003','001','003','2024-12-20','2024-12-20','999999','001');
/*!40000 ALTER TABLE `caja2tmpvftemp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvl`
--

DROP TABLE IF EXISTS `caja2tmpvl`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvl` (
  `idtbl_venta_cabecera` bigint(20) DEFAULT NULL,
  `item` int(11) DEFAULT NULL,
  `idtbl_elementos_adicionales_documentos` varchar(4) DEFAULT NULL,
  `descripcion` varchar(250) DEFAULT NULL,
  `situacion` int(11) DEFAULT NULL,
  `fecha_creacion` date DEFAULT NULL,
  `fecha_modificacion` date DEFAULT NULL,
  `idtbl_sucursal` varchar(3) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvl`
--

LOCK TABLES `caja2tmpvl` WRITE;
/*!40000 ALTER TABLE `caja2tmpvl` DISABLE KEYS */;
INSERT INTO `caja2tmpvl` VALUES (1,1,'1000','SESENTA Y UN CON 20/100 SOLES',0,'2024-09-25','2024-09-25','003','CAJA2','001','003');
/*!40000 ALTER TABLE `caja2tmpvl` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvltemp`
--

DROP TABLE IF EXISTS `caja2tmpvltemp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvltemp` (
  `idtbl_venta_cabecera` bigint(20) DEFAULT NULL,
  `item` int(11) DEFAULT NULL,
  `idtbl_elementos_adicionales_documentos` varchar(4) DEFAULT NULL,
  `descripcion` varchar(250) DEFAULT NULL,
  `situacion` int(11) DEFAULT NULL,
  `fecha_creacion` date DEFAULT NULL,
  `fecha_modificacion` date DEFAULT NULL,
  `idtbl_sucursal` varchar(3) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvltemp`
--

LOCK TABLES `caja2tmpvltemp` WRITE;
/*!40000 ALTER TABLE `caja2tmpvltemp` DISABLE KEYS */;
INSERT INTO `caja2tmpvltemp` VALUES (1,1,'1000','Monto en Letras',0,'2024-09-25','2024-09-25','003','CAJA2','001','003');
/*!40000 ALTER TABLE `caja2tmpvltemp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvmul`
--

DROP TABLE IF EXISTS `caja2tmpvmul`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvmul` (
  `idtbl_articulos` varchar(40) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvmul`
--

LOCK TABLES `caja2tmpvmul` WRITE;
/*!40000 ALTER TABLE `caja2tmpvmul` DISABLE KEYS */;
/*!40000 ALTER TABLE `caja2tmpvmul` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvp`
--

DROP TABLE IF EXISTS `caja2tmpvp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvp` (
  `idtbl_formula_pago` bigint(20) NOT NULL,
  `item` int(11) NOT NULL,
  `idtbl_venta_cabecera` bigint(20) NOT NULL,
  `idtbl_tipo_pago` varchar(3) NOT NULL,
  `idtbl_tipo_tarjeta` varchar(3) NOT NULL,
  `importe_otra_moneda` decimal(30,4) NOT NULL,
  `tipo_cambio` decimal(30,4) NOT NULL,
  `importe` decimal(30,4) NOT NULL,
  `fecha_creacion` date DEFAULT NULL,
  `fecha_modificacion` date DEFAULT NULL,
  `referencia_tarjeta` varchar(250) NOT NULL,
  `situacion` int(11) NOT NULL,
  `idtbl_sucursal` varchar(3) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `fecha` date DEFAULT NULL,
  PRIMARY KEY (`idtbl_formula_pago`,`item`,`idtbl_sucursal`,`idtbl_punto_venta`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvp`
--

LOCK TABLES `caja2tmpvp` WRITE;
/*!40000 ALTER TABLE `caja2tmpvp` DISABLE KEYS */;
/*!40000 ALTER TABLE `caja2tmpvp` ENABLE KEYS */;
UNLOCK TABLES;

--
-- Table structure for table `caja2tmpvptemp`
--

DROP TABLE IF EXISTS `caja2tmpvptemp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `caja2tmpvptemp` (
  `idtbl_formula_pago` bigint(20) NOT NULL,
  `item` int(11) NOT NULL,
  `idtbl_venta_cabecera` bigint(20) NOT NULL,
  `idtbl_tipo_pago` varchar(3) NOT NULL,
  `idtbl_tipo_tarjeta` varchar(3) NOT NULL,
  `importe_otra_moneda` decimal(30,4) NOT NULL,
  `tipo_cambio` decimal(30,4) NOT NULL,
  `importe` decimal(30,4) NOT NULL,
  `fecha_creacion` date DEFAULT NULL,
  `fecha_modificacion` date DEFAULT NULL,
  `referencia_tarjeta` varchar(250) NOT NULL,
  `situacion` int(11) NOT NULL,
  `idtbl_sucursal` varchar(3) NOT NULL,
  `idtbl_modulo` varchar(3) NOT NULL,
  `idtbl_tipo_modulo` varchar(3) NOT NULL,
  `idtbl_punto_venta` varchar(20) NOT NULL,
  `fecha` date DEFAULT NULL,
  PRIMARY KEY (`idtbl_formula_pago`,`item`,`idtbl_sucursal`,`idtbl_punto_venta`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
/*!40101 SET character_set_client = @saved_cs_client */;

--
-- Dumping data for table `caja2tmpvptemp`
--

LOCK TABLES `caja2tmpvptemp` WRITE;
/*!40000 ALTER TABLE `caja2tmpvptemp` DISABLE KEYS */;
